Subject: [bug#34217] [PATCH 11/11] gnu: Add ruby-cucumber and ruby-aruba.

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 30 Jan 2019 13:56:08 +0100

Hi swedebugia,

> On 2019-01-27 12:49, Christopher Baines wrote:
>> These packages are mutually dependant, so I've put them in one commit.
>> 
>> * gnu/packages/ruby.scm (ruby-aruba, ruby-cucumber): New variables.
[…]
>> +(define-public ruby-aruba
>> +  (package
>> +    (name "ruby-aruba")
>> +    (version "0.14.7")
>> +    (source
>> +     (origin
>> +       (method url-fetch)
>> +       (uri (rubygems-uri "aruba" version))
>> +       (sha256
>> +        (base32
>> +         "0x27352n15dsyf5ak246znfawbrm502q15r4msjw3cis17jlcy1l"))))
>> +    (build-system ruby-build-system)
>> +    (arguments
>> +     '(;; TODO: There are a few test failures
>> +       ;; 357 examples, 7 failures
>
> I investigated this and found:
> Failed examples:
>
> rspec ./spec/aruba/api_spec.rb:389 # Aruba::Api files #touch when 
> directory when exist and the mtim\
> e should be set statically
> rspec ./spec/aruba/api_spec.rb:388 # Aruba::Api files #touch when 
> directory when exist and the mtim\
> e should be set statically behaves like an existing directory
> rspec ./spec/aruba/api_spec.rb:362 # Aruba::Api files #touch when file 
> when does not exist and the \
> mtime should be set statically
> rspec ./spec/aruba/api_spec.rb:361 # Aruba::Api files #touch when file 
> when does not exist and the \
> mtime should be set statically behaves like an existing file
> rspec ./spec/aruba/matchers/command_spec.rb:165 # Command Matchers 
> #to_have_output_on_stderr when h\
> ave output hello world on stderr
> ave output hello world on stderr
> rspec ./spec/aruba/matchers/command_spec.rb:128 # Command Matchers 
> #to_have_output_on_stdout when h\
> ave output hello world on stderr
> rspec ./spec/aruba/matchers/command_spec.rb:91 # Command Matchers 
> #to_have_output when have output \
> hello world on stderr

What does this mean?

> The offending lines are in spec/aruba/api_spec.rb
> beginning on line: 321, ending on 393
> I tried creating a patch with diff for this file. I don't know if this 
> is the way others here usually create patches.
>
> If not please enlighten me! :)

We usually use “diff -u” to generate patches in unified diff format
(that’s the one with plus and minus prefixes).

Your patch only disables the test.  I would rather like to know why it
fails and then fix the problem at the root.  Have you figured out why
they fail and how the failure can be prevented?

-- 
Ricardo